Description

In KSP 1.0.4, running under Steam on Ubuntu 14.04, hitting Enter after typing a filename in the quicksave dialog closes the
quicksave dialog, giving the impression that the game has been successfully saved, but does not save the current game state to the
filename provided. Meanwhile, hitting Escape in the quicksave dialog causes the current state of the game to be saved to the entered
filename. This is contrary to the generally accepted Ul convention that Enter submits an action and Escape cancels it, and has
caused data loss due to unexpected and unnoticed failure to save on at least one occasion. The "save" and "cancel" buttons in the
dialog window work as expected.

Expected behavior: Enter should save, Escape should cancel
Actual behavior: Enter cancels, Escape saves.

How to reproduce: Open the quicksave dialog. Type a filename. Hit enter. If the file did not exist, it will not have been created. If it
existed, it will not have been updated. Open the quicksave dialog again. Type a filename. Hit escape. A file will have been
created/updated according to the filname typed.

Related issues:

Related to Kerbal Space Program - Bug #6504: Named saves fail to save.when ov... Closed 01/02/2016
Is duplicate of Kerbal Space Program - Bug #5008: manually saving a game and ... Duplicate 05/16/2015
History

#1 - 08/28/2015 03:18 PM - RexKramer
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed. Escape and Enter do the opposite of what would be expected.

#2 - 08/28/2015 03:20 PM - RexKramer
- Platform Any, OSX added

| reproduced this bug on OSX, and am assuming it occurs on all platforms.

#4 - 11/21/2015 12:06 PM - sal_vager

- Severity changed from Normal to Low

Definitely annoying, but not unavoidable so reclassing as Low as per the guide

This should be fixed by the Ul overhaul so will need retesting with 1.1

#5 - 02/22/2016 11:43 AM - Squelch

- Related to Bug #6504: Named saves fail to save.when overwriting added

#6 - 02/22/2016 11:55 AM - Squelch

- Is duplicate of Bug #5008: manually saving a game and hitting enter to save cancels instead added
#7 - 07/17/2016 09:40 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#9 - 10/13/2016 01:53 PM - sal_vager
- Status changed from Needs Clarification to Ready to Test

- % Done changed from 0 to 80

This should be solved in 1.2

#10 - 10/13/2016 02:41 PM - sal_vager
- Status changed from Ready to Test to Duplicate
- % Done changed from 80 to 100

Duplicate of other issues sorry.
